brlapi_param_properties_t(3)

NAME
brlapi_param_properties_t

SYNOPSIS

#include <brlapi_param.h>

  Data Fields
brlapi_param_type_t type
uint16_t count
uint8_t isArray
uint8_t hasSubparam

Detailed Description

Structure that describes the properties of a parameter

Field Documentation

  uint16_t brlapi_param_properties_t::count
Number of elements in the parameter's value

  uint8_t brlapi_param_properties_t::hasSubparam
Parameter uses the subparam argument

  uint8_t brlapi_param_properties_t::isArray
Whether the parameter contains several values, or always only one

  brlapi_param_type_t brlapi_param_properties_t::type
Type of the parameter's value

Author

Generated automatically by Doxygen for BrlAPI from the source code.